Bug 13507 - Add intranet support for CAS authentication
Summary: Add intranet support for CAS authentication
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Matthias Meusburger
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-02 15:22 UTC by Matthias Meusburger
Modified: 2015-12-03 22:11 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
proposed patch (8.66 KB, patch)
2015-01-02 16:14 UTC, Matthias Meusburger
Details | Diff | Splinter Review
unit test (1.62 KB, patch)
2015-01-02 16:14 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 13507: Add intranet support for CAS authentication (8.49 KB, patch)
2015-03-02 14:22 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 13507 [Follow-up] : Add unit test. (1.62 KB, patch)
2015-03-02 14:23 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 13507: Add intranet support for CAS authentication (8.49 KB, patch)
2015-03-02 15:03 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 13507: Add intranet support for CAS authentication (8.49 KB, patch)
2015-03-02 15:59 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 13507: Add intranet support for CAS authentication (8.95 KB, patch)
2015-03-02 16:03 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 13507 [Follow-up] : Add unit test. (1.67 KB, patch)
2015-03-02 16:45 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 13507: Add intranet support for CAS authentication (9.00 KB, patch)
2015-03-02 16:45 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
[PASSED QA] Bug 13507 [Follow-up] : Add unit test. (1.74 KB, patch)
2015-03-06 10:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13507: Add intranet support for CAS authentication (9.07 KB, patch)
2015-03-06 10:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13507: Add intranet support for CAS authentication (9.20 KB, patch)
2015-04-02 10:23 UTC, Matthias Meusburger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Meusburger 2015-01-02 15:22:33 UTC
Add intranet support for CAS authentication.
Comment 1 Matthias Meusburger 2015-01-02 16:14:29 UTC Comment hidden (obsolete)
Comment 2 Matthias Meusburger 2015-01-02 16:14:53 UTC Comment hidden (obsolete)
Comment 3 Matthias Meusburger 2015-01-02 16:26:26 UTC
Test plan:

CAS Intranet setup is identical to OPAC setup, but you have to set the StaffClientBaseUrl syspref (with the http or https prefix / http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=7770 for more infos on why it is needed)

Check that CAS login works in the intranet (except for the koha user, which is a special user).

Check that CAS still works at the OPAC.

Check that database login still works at both intranet and OPAC.

Check that authenticating against multiple CAS servers work (see C4/Auth_cas_servers.yaml.orig)
Comment 4 Matthias Meusburger 2015-03-02 14:22:58 UTC Comment hidden (obsolete)
Comment 5 Matthias Meusburger 2015-03-02 14:23:10 UTC Comment hidden (obsolete)
Comment 6 Matthias Meusburger 2015-03-02 15:03:54 UTC Comment hidden (obsolete)
Comment 7 Matthias Meusburger 2015-03-02 15:59:27 UTC Comment hidden (obsolete)
Comment 8 Matthias Meusburger 2015-03-02 16:03:36 UTC Comment hidden (obsolete)
Comment 9 sandboxes@biblibre.com 2015-03-02 16:45:14 UTC
Patch tested with a sandbox, by Koha Team AMU <koha.aixmarseille@gmail.com>
Comment 10 sandboxes@biblibre.com 2015-03-02 16:45:41 UTC Comment hidden (obsolete)
Comment 11 sandboxes@biblibre.com 2015-03-02 16:45:44 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2015-03-06 10:38:45 UTC
Created attachment 36671 [details] [review]
[PASSED QA] Bug 13507 [Follow-up] : Add unit test.

Signed-off-by: Koha Team AMU <koha.aixmarseille@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2015-03-06 10:39:46 UTC Comment hidden (obsolete)
Comment 14 Katrin Fischer 2015-03-06 10:41:57 UTC
Martin, could you take a final look at the code for this? 

In my testing it worked alright, tested with a biblibre test CAS server - Matthias can give you the data for that. (Very useful!)
Comment 15 Tomás Cohen Arazi 2015-03-30 16:33:57 UTC
Guys, this doesn't apply, could you please fix the conflict? I'm willing to push it ASAP
Comment 16 Matthias Meusburger 2015-04-02 10:23:12 UTC
Created attachment 37431 [details] [review]
Bug 13507: Add intranet support for CAS authentication

This patch allows to use CAS authentication for intranet login.

 It works exactly the same as the OPAC login, except that the
 staffClientBaseURL syspref must be set for intranet login
 (like OPACBaseURL must be set for OPAC login).

Signed-off-by: Koha Team AMU <koha.aixmarseille@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Matthias Meusburger 2015-04-02 10:23:43 UTC
It was just a template issue, rebased.
Comment 18 Tomás Cohen Arazi 2015-04-08 15:22:09 UTC
Feature pushed to master.

Thanks Matthias and congrats!